cURL
curl --request POST \ --url https://sigmacdd.sabipay.com/kyc/cac \ --header 'Content-Type: application/json' \ --header 'apiKey: <api-key>' \ --header 'apiSecret: <api-key>' \ --data ' { "rcNumber": "7429883", "companyName": "PASTEL AI AFRICA LTD", "companyType": "RC" } '
{ "message": "CAC lookup successful", "data": { "registrationNumber": "7429883", "businessName": "PASTEL AI AFRICA LTD", "status": "ACTIVE", "classification": null, "registrationDate": "2024-04-03", "headOfficeAddress": null, "branchAddress": null, "state": "LAGOS", "city": "LEKKI", "lga": "Ibeju-Lekki", "companyEmail": null, "entityType": null, "statusMore": null, "affiliates": 7, "affiliatesData": [ { "surname": "Royesh", "firstname": "Abuzar", "othername": null, "gender": "MALE", "email": "info@pastelhq.ai", "phoneNumber": "+234(1)6507858479", "dateOfBirth": "1994-05-15", "dateOfAppointment": "2024-04-03", "nationality": "AFGHANISTAN", "address": "274, Murtala Muhammed Way", "occupation": "Entrepreneur", "affiliateType": "DIRECTOR", "idType": "International Passport" } ] } }
POST api/v1/kyc/cac
Documentation IndexFetch the complete documentation index at: https://sigma-docs.pastel.africa/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://sigma-docs.pastel.africa/llms.txt
Use this file to discover all available pages before exploring further.
The CAC registration number
"7429883"
The registered company name
"PASTEL AI AFRICA LTD"
The type of company registration
BN
RC
IT
"RC"
CAC lookup successful
Response message
Response data